## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     azure-mgmt-datamigration

Name:           python-%{srcname}
Version:        10.0.0
Release:        %autorelease
Summary:        Microsoft Azure Data Migration Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Data Migration Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


# LICENSE file missing. PR made to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20164
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:10.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:10.0.0-1
- Update to 10.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:9.0.0-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:9.0.0-1
- Update to 9.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:4.1.0-1
- Downgrade to 4.1.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 9.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 9.0.0-1
- Initial import (#1971799)
